%define major 5
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name:		openconnect
Version:	7.08
Release:	%mkrel 1
Summary:	Open client for Cisco AnyConnect VPN
Group:		Networking/Other
License:	LGPLv2+
URL:		http://www.infradead.org/openconnect.html
Source:		ftp://ftp.infradead.org/pub/openconnect/openconnect-%{version}.tar.xz
BuildRequires:	%{_lib}gnutls-devel
BuildRequires:	%{_lib}xml2-devel
BuildRequires:	%{_lib}dbus-1-devel
BuildRequires:  intltool
Requires:       vpnc

%description
This package provides a client for Cisco's "AnyConnect" VPN, which uses
HTTPS and DTLS protocols.

%package -n %{libname}
Summary: Runtime Library needed by %{name}
Group: System/Libraries

%description -n %{libname}
Runtime librairy for %{name}

%package -n %{develname}
Summary: Developements headers for %{name}
Group:	Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Headers files to build packages against %{name}

%prep
%setup -q

%build
%configure2_5x --disable-static --with-vpnc-script=/etc/vpnc/vpnc-script
%make

%install
rm -rf %buildroot
%makeinstall_std
%find_lang %{name}

# Get rid of .la files
rm -rf %{buildroot}%{_libdir}/libopenconnect.la

%files -f %{name}.lang 
%doc AUTHORS TODO COPYING.LGPL
%{_sbindir}/%{name}
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/libopenconnect.so.%{major}*

%files -n %{develname}
%{_libdir}/libopenconnect.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h


%changelog
* Mon Jun 05 2017 bb2 <bb2> - 7.0.8-1plocs2017
- update

* Sat Mar 17 2017 pp <pp> 6.00-2pclos2017
- rebuild

* Fri Apr 22 2016 bb <bb> 6.00-1pclos2016
- update for networkmanager

